Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.contribution.visualiser.views
Class Visualiser

    java.lang.Object
      ViewPart
          org.eclipse.contribution.visualiser.views.Visualiser

public class Visualiser
extends ViewPart

This class represents the main view of the Visualiser.

See Also:
  Serialized Form

Field Summary
`boolean` | `justOpenedFile`

Constructor Summary
`Visualiser()` The constructor.

Method Summary
`void` | `createPartControl(Composite parent)` This is a callback that will allow us to create the view and initialize it.
`void` | `dispose()` Dispose of the Visualiser view when closed.
`void` | `draw()` Called by Menu when the colour selections or aspects selection in the menu has changed.
`void` | `refreshTitle(java.lang.String title)` Refresh the title.
`void` | `setDemarcation(boolean demarcation)` Set whether or not to show demarcation on bars in group view
`void` | `setFocus()` Passing the focus request to the viewer's control.
`void` | `setMaxBarSize(int size)` Set the maximum bar width for the view in pixels
`void` | `setMinBarSize(int size)` Set the minimum bar width for the view in pixels
`void` | `setMinStripeSize(int size)` Set the minimum height of stripes in the visualisation
`void` | `setVisContentProvider(IContentProvider vcp)` Set the current content provider
`void` | `setVisMarkupProvider(IMarkupProvider vmp)` Set the current markup provider
`static void` | `updateDisplay(boolean updateMenu)` Update the display

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### justOpenedFile

    public boolean justOpenedFile

Constructor Detail

### Visualiser

    public Visualiser()

  The constructor.

Method Detail

### createPartControl

    public void createPartControl(Composite parent)

  This is a callback that will allow us to create the view and initialize it.

### draw

    public void draw()

  Called by Menu when the colour selections or aspects selection in the menu has changed.

### refreshTitle

    public void refreshTitle(java.lang.String title)

  Refresh the title. Sets the view's title to 'Visualiser - ' plus the argument

  Parameters:
    `title` -

### setDemarcation

    public void setDemarcation(boolean demarcation)

  Set whether or not to show demarcation on bars in group view

  Parameters:
    `demarcation` -

### setMinStripeSize

    public void setMinStripeSize(int size)

  Set the minimum height of stripes in the visualisation

### setMaxBarSize

    public void setMaxBarSize(int size)

  Set the maximum bar width for the view in pixels

  Parameters:
    `size` -

### setMinBarSize

    public void setMinBarSize(int size)

  Set the minimum bar width for the view in pixels

  Parameters:
    `size` -

### updateDisplay

    public static void updateDisplay(boolean updateMenu)

  Update the display

### setFocus

    public void setFocus()

  Passing the focus request to the viewer's control.

### dispose

    public void dispose()

  Dispose of the Visualiser view when closed.

### setVisContentProvider

    public void setVisContentProvider(IContentProvider vcp)

  Set the current content provider

  Parameters:
    `vcp` - - the current IContentProvider

### setVisMarkupProvider

    public void setVisMarkupProvider(IMarkupProvider vmp)

  Set the current markup provider

  Parameters:
    `vmp` - - the current IMarkupProvider

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD